Bug 125324 - groff dependency problems
groff dependency problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 14:19 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-07 11:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-04 14:19:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Groff has a couple of dependency problems. It needs a yacc package,
and when not using x, it still wants XFree86-devel. This patch fixes
them, please apply:

--- working/groff/groff.spec    2004-03-08 11:32:29.000000000 -0500
+++ /opt/specs/groff.spec       2004-05-23 07:59:22.000000000 -0400
@@ -30,7 +30,11 @@
 Buildroot: %{_tmppath}/%{name}-root
 Obsoletes: groff-tools
 Provides: nroff-i18n
-BuildRequires: netpbm-progs, zlib-devel, XFree86-devel, texinfo
+BuildPrereq: byacc
+BuildRequires: netpbm-progs, zlib-devel, texinfo
+%if %{with_xfree86}
+BuildRequires: XFree86-devel
+%endif
                                                                     
          
 %description
 Groff is a document formatting system. Groff takes standard text and


Version-Release number of selected component (if applicable):
groff-1.18.1-34

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps byacc bison 
2. rpmbuild -bb /usr/src/redhat/SPECS/groff.spec

Additional info:

I did not check to see if bison satifies groff.
Comment 1 Thomas Woerner 2004-06-07 11:53:36 EDT
Fixed in rawhide in rpm groff-1.18.1-35 or newer.

Note You need to log in before you can comment on or make changes to this bug.